self.onmessage = function({data}) {
    let deleteVehicles = []
    try {
        const {pre, cur} = data
        const preVehicles = pre.map(item => item.basic.vehicleID)
        const currentVehicles = cur.map(item => item.basic.vehicleID)
        for (let i = 0; i < preVehicles.length; i++) {
            if (currentVehicles.indexOf(preVehicles[i]) > -1) continue
            deleteVehicles.push(preVehicles[i])
        }
    } catch(error) {
        console.log(error)
    }
    self.postMessage(deleteVehicles)
    deleteVehicles = null
    data = null
}